// src/api/user/getUser.ts
import instance from "../axiosInstance"

export async function getUser(userName: string) {
  try {
    const res = await instance.get(`/user/${userName}`)
    return res.data // { user, deals, comments }
  } catch (err: any) {
    console.error("Kullanıcı bilgileri alınamadı:", err)
    throw new Error(err.response?.data?.message || "Kullanıcı bilgileri alınamadı")
  }
}
